import request from '@/utils/request'

/**
 * 权限分组列表
 */
export function fetchRoleList(params) {
  return request({
    url: '/admin/Role/roleList',
    method: 'get',
    params: params
  })
}

/**
 * 权限列表
 */
export function fetchPermissionList(params) {
  return request({
    url: '/admin/Role/permission',
    method: 'get',
    params: params
  })
}

/**
 * 分组权限添加
 */
export function permissionSave(params) {
  return request({
    url: '/admin/Role/permissionSave',
    method: 'post',
    data: params
  })
}

/**
 * 保存分组
 */
export function roleSave(params) {
  return request({
    url: '/admin/role/roleSave',
    method: 'post',
    data: params
  })
}

/**
 * 分组复制
 */
export function copyRole(params) {
  return request({
    url: '/admin/role/roleCopy',
    method: 'post',
    data: params
  })
}

/**
 * 分组删除
 */
export function delRole(params) {
  return request({
    url: '/admin/Role/delRole',
    method: 'post',
    data: params
  })
}

/**
 * 权限分组操作验证码发送
 */
export function sendSms(params) {
  return request({
    url: '/admin/Role/sendSms',
    method: 'post',
    data: params
  })
}

/**
 * 权限分组操作验证码验证
 */
export function verifySmsCode(params) {
  return request({
    url: '/admin/Role/verifySmsCode',
    method: 'post',
    data: params
  })
}

/** *
 * 获取一些基础信息（菜单、手机号、购买的模块）
 */
export function getBase() {
  return request({
    url: '/admin/User/getBase',
    method: 'get'
  })
}

/**
 * 获取横向菜单
 */
export function getCrossMenu(params) {
  return request({
    url: '/admin/User/getCrossMenu',
    method: 'post',
    data: params
  })
}
